alias _example_tinyurl {
  if (!$1) {
    echo $color(info) -a * /_example_tinyurl: insufficient parameters
    return
  }

  var %id = $_mhttplib_new

  _mhttplib_set %id url http://tinyurl.com/create.php
  _mhttplib_set %id method POST
  _mhttplib_set %id callback _example_tinyurl_callback
  _mhttplib_set %id post url= $+ $_mhttplib_urlencode($1-) $+ & $+ submit= $+ $_mhttplib_urlencode(Make TinyURL!)

  _mhttplib_run %id
}

alias _example_tinyurl_callback {
  .echo -q $hget($+($1,_data), data, &data)

  var %p = $bfind(&data, 1,<h1>TinyURL was created!</h1>).text, %t
  if (%p) { var %t = $bvar(&data, %p, 800).text }

  if ($regex(%t, <blockquote><b>(.+?)</b><br><small>)) {
    echo -at TinyURL: $regml(1)
  }
  else {
    echo -at Error submitting URL!
  }
}
